2 Replies Latest reply: Aug 29, 2013 10:33 AM by VanderSluijs
VanderSluijs Level 1 Level 1 (0 points)

My old Logic Express 8 won't open them, I need Logic Pro 7.2.1 it tells me, . It's like that program never caught on in my network, nobody has it. All help greatly appreciated,  a DMG-file , on DVD.....or maybe even you converting them for me on your trusty old machine after I've sent them to you ..... Anyone?

Please contact : vandersluijs.jaap@gmail.com


Logic Pro, OS X Mountain Lion (10.8.4)